%define dvendor	qlgc
%define vendor %{dvendor}
%define driver_name qla2xxx
%define dist_version	8.06.00.10.06.0-k
%define version         %( echo "%{dist_version}" | tr '-' '_' )
%define release 1
%define BUILD_KERNEL_SPEC %( if [ -z "${BUILD_KERNEL}" ]; then BUILD_KERNEL=`uname -r`; fi; echo "${BUILD_KERNEL}" | cut -d "-" -f -2 )

Name:          %{vendor}-%{driver_name}
Version:       %{version}
Release:       %{release}
Summary:       QLogic qlaxxx FC Driver Update Program package
Group:         System/Kernel
License:       GPLv2
Packager:      QLogic Corp.
URL:	      http://www.qlogic.com 
Source0:       %{driver_name}-%{dist_version}.tgz
Source1: 	kmodtool-ql.6.x.sh	
BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-src-%{dist_version}-%{release}-XXXXXX)
BuildRequires: %{kernel_module_package_buildreqs}

%kernel_module_package -s %{_sourcedir}/kmodtool-ql.6.x.sh

%description
RHEL6.x Driver Update package for QLogic FC Adapter.
Public key available at http://ldriver.qlogic.com/RPM-public-key/
SRPMS available at http://ldriver.qlogic.com/driver-srpms/

%prep
%setup -n %{driver_name}-%{dist_version}
set -- *
mkdir source
mv "$@" source/
mkdir obj
echo "override %{driver_name} * weak-updates/%{dvendor}-%{driver_name}" > %{driver_name}.conf

%build
for flavor in %flavors_to_build; do
       rm -rf obj/$flavor
       cp -r source obj/$flavor
       make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
       make -C %{kernel_source $flavor} modules_install \
               M=$PWD/obj/$flavor
	# Cleanup unnecessary kernel-generated module dependency files.
       find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/depmod.d/
%{__install} %{driver_name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/depmod.d/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
